Subject: Re: [netmod] Thoughts on draft-clemm-netmod-nmda-diff

From: Alexander Clemm <[email-masked]>
Date: Thu, 9 Aug 2018 00:02:50 +0000

Hi Joe,

regarding the "who" made the change and when:  I would think it makes sense to have the ability to include this information if it were available (analogous to how origin metadata can be included).  However, I don't think this is captured today.  This would be a candidate to add as part of metadata of a datastore itself that would have be specified as part of a separate to-be-developed draft, perhaps called something like "Audit trail metadata for NMDA datastores".  

As part of the nmda-diff draft, I would think  it would be reasonable to include, if the working group agreees, a "design pattern" that indicates how the model can include (possibly by means of extensions) additional metadata items about datatastore nodes as they get defined.  

--- Alex

> -----Original Message-----
> From: netmod [mailto:[email-masked]] On Behalf Of Joe Clarke
> Sent: Friday, July 20, 2018 6:52 AM
> To: [email-masked]
> Subject: [netmod] Thoughts on draft-clemm-netmod-nmda-diff
> 
> I just had a chance to finish reading this.  The in-person meeting group
> seems to strongly support this work, and I agree.
> 
> Coming from a serviceability standpoint, I find this might serve as a
> precursor to a VCS-like "blame log".  Would it be reasonable to include
> identifiers as to who (or what) made the change and when?  Sorry if this
> was raised at the mic today.  I came to the room a bit late.
> 
> Joe
> 
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod